"""==========================================================
با نگرش به اینکه اگر جمله nام یک تصاعد هندسی را sn و
جمله اول ان را s1 و قدر نسبت تصاعد هندسی را r بنامیم
جمله nام تصاعد هندسی از رابطه زیر بدست می اید.

sn = s1 * r**(n-1)

منطق برنامه ای را طراحی کنید که تعداد تصاعدهای مورد نظر
را دریافت کند سپس با دریافت n به عنوان شماره جمله و s1
به عنوان جمله اول و r به عنوان قدر نسبت تصاعد هندسی جمله nام
هر تصاعد هندسی را محاسبه و چاپ کند.
=========================================================="""

numbers = int(input("Please enter TOTAL: "))
count = 1
while count <= numbers:
    print("\nFor ",count," sequence","\n","="*20)
    n = int(input("Please enter N: "))
    s1 = int(input("Please enter S1: "))
    r = int(input("Please enter R: "))
    sn = s1 * r**(n-1)
    print("-"*20,"\nFor this Sequence: ",sn)
    count+=1